# File: `MutexVector.h`

## Classes

- `MutexVector`
- `iterator`

## Functions

- `bool HasNext(){`
- `bool Next(){`
- `return Next();`
- `void update(){`
- `iterator begin(){`
- `return iterator(this);`
- `void clear(){`
- `void Remove(T key, bool erase = false, unsigned int erase_time = 0){`
- `void Add(T key){`
- `T Get(unsigned int index){`

## Notable Comments

- /*
- */
- //if(access_count > 5)
- //	cout << "Possible error.\n";
